# Automated Tests

{% hint style="info" %}
**API SUBPATH**: eva-automated-tests
{% endhint %}

This API covers all Models used in Automated Tests: There's the Automated Test itself, which contains it's provided Utterances, and then their executions and results as both an Automated Tests Executions collection and a Utterance Executions collection.

## Automated Tests

Once created, an automated test is then listed as an execution which still didn't run. Hence, there is no pagination for Automated Tests.

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-tests

> Creates a new Automated Test

```json
{"openapi":"3.0.1","info":{"title":"eva-automated-tests API Documentation","version":"4.8.0"},"tags":[{"name":"automated tests","description":"Management for creating and updating automated tests"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-tests":{"post":{"tags":["automated tests"],"summary":"Creates a new Automated Test","operationId":"createTest","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"channel","in":"query","description":"A valid channel Uuid","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","description":"A valid name to the test","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","description":"File with data to test","format":"binary"}}}}}},"responses":{"201":{"description":"Created","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseTestDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ResponseTestDTO":{"type":"object","properties":{"message":{"type":"string","description":"Message with success or not"},"dataTest":{"$ref":"#/components/schemas/DataTestDTO"}},"description":"DTO response when create or update successfully a automated test"},"DataTestDTO":{"type":"object","properties":{"testId":{"type":"string","description":"Automated test execution uuid"},"utterances":{"type":"array","description":"Utterances to test","items":{"$ref":"#/components/schemas/AutomatedTestUtterance"}},"rows":{"type":"integer","description":"Number of test rows","format":"int32"}},"description":"DTO data test response when create or update successfully a automated test"},"AutomatedTestUtterance":{"type":"object","properties":{"uuid":{"type":"string"},"description":{"type":"string"},"utterance":{"type":"string"},"expectedCategory":{"type":"string"},"expectedValue":{"type":"string"},"expectedAnswer":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"description":"Utterances to test"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-tests/{testUUID}

> Submits a new file for an existing, unexecuted Automated Test.

```json
{"openapi":"3.0.1","info":{"title":"eva-automated-tests API Documentation","version":"4.8.0"},"tags":[{"name":"automated tests","description":"Management for creating and updating automated tests"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-tests/{testUUID}":{"post":{"tags":["automated tests"],"summary":"Submits a new file for an existing, unexecuted Automated Test.","operationId":"updateFileTest","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"testUUID","in":"path","description":"A valid automated test execution Uuid","required":true,"schema":{"type":"string"}},{"name":"channel","in":"query","description":"A valid channel Uuid","required":true,"schema":{"type":"string"}},{"name":"name","in":"query","description":"A valid name to the test","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"required":["file"],"type":"object","properties":{"file":{"type":"string","description":"File with data to test","format":"binary"}}}}}},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseTestDTO"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ResponseTestDTO":{"type":"object","properties":{"message":{"type":"string","description":"Message with success or not"},"dataTest":{"$ref":"#/components/schemas/DataTestDTO"}},"description":"DTO response when create or update successfully a automated test"},"DataTestDTO":{"type":"object","properties":{"testId":{"type":"string","description":"Automated test execution uuid"},"utterances":{"type":"array","description":"Utterances to test","items":{"$ref":"#/components/schemas/AutomatedTestUtterance"}},"rows":{"type":"integer","description":"Number of test rows","format":"int32"}},"description":"DTO data test response when create or update successfully a automated test"},"AutomatedTestUtterance":{"type":"object","properties":{"uuid":{"type":"string"},"description":{"type":"string"},"utterance":{"type":"string"},"expectedCategory":{"type":"string"},"expectedValue":{"type":"string"},"expectedAnswer":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"description":"Utterances to test"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Automated Test Executions

## POST /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution/{testUUID}

> Runs or re-runs an Automated Test.

```json
{"openapi":"3.0.1","info":{"title":"eva-automated-tests API Documentation","version":"4.8.0"},"tags":[{"name":"Automated tests execution","description":"Management for execute, find all executions and get assertivess of the test"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution/{testUUID}":{"post":{"tags":["Automated tests execution"],"summary":"Runs or re-runs an Automated Test.","operationId":"executeTest","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"testUUID","in":"path","description":"A valid automated test execution Uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/TestExecutionDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"TestExecutionDTO":{"type":"object","properties":{"testId":{"type":"string","description":"Automated test execution uuid"},"status":{"type":"string","description":"Automated test execution status","enum":["PENDING","IN_PROGRESS","ERROR","FINISHED"]}},"description":"DTO response when execute tests"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution/{testUUID}/assertiveness

> Retrieves the test assertiveness of a given Automated Test Execution.

```json
{"openapi":"3.0.1","info":{"title":"eva-automated-tests API Documentation","version":"4.8.0"},"tags":[{"name":"Automated tests execution","description":"Management for execute, find all executions and get assertivess of the test"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution/{testUUID}/assertiveness":{"get":{"tags":["Automated tests execution"],"summary":"Retrieves the test assertiveness of a given Automated Test Execution.","operationId":"resultTestAssertiveness","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"testUUID","in":"path","description":"A valid automated test execution Uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResultTestAssertiveness"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"ResultTestAssertiveness":{"type":"object","properties":{"testId":{"type":"string","description":"Automated test execution uuid"},"testName":{"type":"string","description":"Automated test execution name"},"countOfTests":{"type":"integer","description":"Automated test execution tests executed","format":"int64"},"lastUpdated":{"type":"integer","description":"Automated test execution last updated","format":"int64"},"status":{"type":"string","description":"Automated test execution status","enum":["PENDING","IN_PROGRESS","ERROR","FINISHED"]},"totalSentences":{"type":"integer","description":"Automated test execution number of utterances","format":"int32"},"assertivenessChart":{"$ref":"#/components/schemas/AssertivenessChart"}},"description":"DTO response when get the assertiveness of test"},"AssertivenessChart":{"type":"object","properties":{"total":{"type":"number","description":"Hit percentage","format":"double"},"intents":{"$ref":"#/components/schemas/IntentsResult"},"questions":{"$ref":"#/components/schemas/QuestionsResult"},"dispersionIntentChart":{"$ref":"#/components/schemas/DispersionChart"},"dispersionQuestionsChart":{"$ref":"#/components/schemas/DispersionChart"}},"description":"DTO response with assertiveness details"},"IntentsResult":{"type":"object","properties":{"low":{"type":"integer","description":"Low assertiveness","format":"int64"},"half":{"type":"integer","description":"Half assertiveness","format":"int64"},"high":{"type":"integer","description":"High assertiveness","format":"int64"}},"description":"DTO response of intents"},"QuestionsResult":{"type":"object","properties":{"low":{"type":"integer","description":"Low assertiveness","format":"int64"},"half":{"type":"integer","description":"Half assertiveness","format":"int64"},"high":{"type":"integer","description":"High assertiveness","format":"int64"}},"description":"DTO response of questions"},"DispersionChart":{"type":"object","properties":{"low":{"type":"array","description":"Low assertiveness","items":{"$ref":"#/components/schemas/DispersionData"}},"average":{"type":"array","description":"Average assertiveness","items":{"$ref":"#/components/schemas/DispersionData"}},"high":{"type":"array","description":"High assertiveness","items":{"$ref":"#/components/schemas/DispersionData"}}},"description":"DTO response with dispersion"},"DispersionData":{"type":"object","properties":{"confidence":{"type":"number","description":"Confidence assertiveness","format":"double"},"value":{"type":"string","description":"Value assertiveness"}},"description":"DTO response with dispersion"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution

> Acquires a pagination of all Automated Tests.

```json
{"openapi":"3.0.1","info":{"title":"eva-automated-tests API Documentation","version":"4.8.0"},"tags":[{"name":"Automated tests execution","description":"Management for execute, find all executions and get assertivess of the test"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-execution":{"get":{"tags":["Automated tests execution"],"summary":"Acquires a pagination of all Automated Tests.","operationId":"findAll_2","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"orderBy","in":"query","description":"Field want to sort by. Default is 'updatedAt'; other available terms are 'name' and 'score'.","required":false,"schema":{"type":"string","default":"updatedAt"}},{"name":"direction","in":"query","description":"Direction of ordenation, ASC or DESC. The default is DESC","required":false,"schema":{"type":"string","default":"DESC"}},{"name":"page","in":"query","description":"The number of page and the default is 1","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"size","in":"query","description":"The number of services per pages and the default is 5","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageAutomatedTestDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"PageAutomatedTestDTO":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AutomatedTestDTO"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"unpaged":{"type":"boolean"},"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"}}},"SortObject":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"AutomatedTestDTO":{"type":"object","properties":{"id":{"type":"string","description":"Automated test execution uuid"},"name":{"type":"string","description":"Automated test execution name"},"lastUpdated":{"type":"integer","description":"Automated test execution last updated","format":"int64"},"channelDTO":{"$ref":"#/components/schemas/ChannelDTO"},"result":{"type":"number","description":"Automated test execution result","format":"double"},"status":{"type":"string","description":"Automated test execution status","enum":["PENDING","IN_PROGRESS","ERROR","FINISHED"]}},"description":"DTO response when find all automated test execution"},"ChannelDTO":{"type":"object","properties":{"channelId":{"type":"string","description":"Automated test execution channel uuid"},"channelName":{"type":"string","description":"Automated test execution channel name"},"channelImage":{"type":"string","description":"Automated test execution channel image. It is to use the field 'imageName' now","deprecated":true},"imageName":{"type":"string","description":"New field with image name from channel type"},"typeChannel":{"type":"integer","description":"Automated test execution channel type","format":"int64"}},"description":"DTO response with channel's data"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Utterance

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterances/{testUUID}

> Acquires a pagination of all Utterances belonguing to a given Automated Test.

```json
{"openapi":"3.0.1","info":{"title":"eva-automated-tests API Documentation","version":"4.8.0"},"tags":[{"name":"automated tests","description":"Management for creating and updating automated tests"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterances/{testUUID}":{"get":{"tags":["automated tests"],"summary":"Acquires a pagination of all Utterances belonguing to a given Automated Test.","operationId":"findAll","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"testUUID","in":"path","description":"A valid automated test execution Uuid","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The number of page and the default is 1","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"size","in":"query","description":"The number of services per pages and the default is 5","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageAutomatedTestUtterance"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"PageAutomatedTestUtterance":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AutomatedTestUtterance"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"unpaged":{"type":"boolean"},"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"}}},"SortObject":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"AutomatedTestUtterance":{"type":"object","properties":{"uuid":{"type":"string"},"description":{"type":"string"},"utterance":{"type":"string"},"expectedCategory":{"type":"string"},"expectedValue":{"type":"string"},"expectedAnswer":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}},"description":"Utterances to test"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## Utterance Executions

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterance-execution/{testUUID}

> Acquires a pagination of all Utterance Execution results belonguing to a given Automated Test Execution.

```json
{"openapi":"3.0.1","info":{"title":"eva-automated-tests API Documentation","version":"4.8.0"},"tags":[{"name":"automated test utterance execution","description":"Management for creating and updating automated tests"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterance-execution/{testUUID}":{"get":{"tags":["automated test utterance execution"],"summary":"Acquires a pagination of all Utterance Execution results belonguing to a given Automated Test Execution.","operationId":"findAll_1","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"testUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"filter","in":"query","description":"LOW, AVERAGE, HIGH or ALL","required":true,"schema":{"type":"string"}},{"name":"page","in":"query","description":"The number of page and the default is 1","required":false,"schema":{"type":"integer","format":"int32","default":1}},{"name":"size","in":"query","description":"The number of services per pages and the default is 5","required":false,"schema":{"type":"integer","format":"int32","default":5}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageAutomatedTestUtteranceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"PageAutomatedTestUtteranceResult":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AutomatedTestUtteranceResult"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"unpaged":{"type":"boolean"},"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"}}},"SortObject":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"AutomatedTestUtteranceResult":{"type":"object","properties":{"utterance":{"type":"string","description":"Automated test utterance"},"successRate":{"type":"number","description":"Automated test utterance success rate","format":"double"},"categoryUtterance":{"$ref":"#/components/schemas/CategoryUtterance"},"answerUtterance":{"$ref":"#/components/schemas/AnswerUtterance"},"valueUtterance":{"$ref":"#/components/schemas/ValueUtterance"}},"description":"DTO response automated test utterance result"},"CategoryUtterance":{"type":"object","properties":{"expected":{"type":"string","description":"Utterance expected"},"given":{"type":"string","description":"Utterance given"}},"description":"Automated test utterance category"},"AnswerUtterance":{"type":"object","properties":{"expected":{"type":"string","description":"Utterance expected"},"given":{"type":"string","description":"Utterance given"}},"description":"Automated test utterance answer"},"ValueUtterance":{"type":"object","properties":{"expected":{"type":"string","description":"Utterance expected"},"given":{"type":"string","description":"Utterance given"}},"description":"Automated test utterance value"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterance-execution/{testUUID}/export

> Exports all the data of an automated test. In the Cockpit, this is consumed and delivered as a .xls file.

```json
{"openapi":"3.0.1","info":{"title":"eva-automated-tests API Documentation","version":"4.8.0"},"tags":[{"name":"automated test utterance execution","description":"Management for creating and updating automated tests"}],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/automated-utterance-execution/{testUUID}/export":{"get":{"tags":["automated test utterance execution"],"summary":"Exports all the data of an automated test. In the Cockpit, this is consumed and delivered as a .xls file.","operationId":"export","parameters":[{"name":"orgUUID","in":"path","description":"A valid organization Uuid","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid environment Uuid","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"testUUID","in":"path","description":"A valid bot Uuid","required":true,"schema":{"type":"string"}},{"name":"filter","in":"query","description":"LOW, AVERAGE, HIGH or ALL","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PageAutomatedTestUtteranceResult"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"408":{"description":"Request Timeout","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"PageAutomatedTestUtteranceResult":{"type":"object","properties":{"totalPages":{"type":"integer","format":"int32"},"totalElements":{"type":"integer","format":"int64"},"pageable":{"$ref":"#/components/schemas/PageableObject"},"numberOfElements":{"type":"integer","format":"int32"},"size":{"type":"integer","format":"int32"},"content":{"type":"array","items":{"$ref":"#/components/schemas/AutomatedTestUtteranceResult"}},"number":{"type":"integer","format":"int32"},"sort":{"$ref":"#/components/schemas/SortObject"},"first":{"type":"boolean"},"last":{"type":"boolean"},"empty":{"type":"boolean"}}},"PageableObject":{"type":"object","properties":{"paged":{"type":"boolean"},"pageNumber":{"type":"integer","format":"int32"},"pageSize":{"type":"integer","format":"int32"},"unpaged":{"type":"boolean"},"offset":{"type":"integer","format":"int64"},"sort":{"$ref":"#/components/schemas/SortObject"}}},"SortObject":{"type":"object","properties":{"sorted":{"type":"boolean"},"unsorted":{"type":"boolean"},"empty":{"type":"boolean"}}},"AutomatedTestUtteranceResult":{"type":"object","properties":{"utterance":{"type":"string","description":"Automated test utterance"},"successRate":{"type":"number","description":"Automated test utterance success rate","format":"double"},"categoryUtterance":{"$ref":"#/components/schemas/CategoryUtterance"},"answerUtterance":{"$ref":"#/components/schemas/AnswerUtterance"},"valueUtterance":{"$ref":"#/components/schemas/ValueUtterance"}},"description":"DTO response automated test utterance result"},"CategoryUtterance":{"type":"object","properties":{"expected":{"type":"string","description":"Utterance expected"},"given":{"type":"string","description":"Utterance given"}},"description":"Automated test utterance category"},"AnswerUtterance":{"type":"object","properties":{"expected":{"type":"string","description":"Utterance expected"},"given":{"type":"string","description":"Utterance given"}},"description":"Automated test utterance answer"},"ValueUtterance":{"type":"object","properties":{"expected":{"type":"string","description":"Utterance expected"},"given":{"type":"string","description":"Utterance given"}},"description":"Automated test utterance value"},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conversational-ai.syntphony.com/user-guide/api-docs/api-guidelines/management-api/instance-api/automated-tests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
